io.vertx.groovy.core.eventbus

## Class EventBus_GroovyExtension

- java.lang.Object
- - io.vertx.groovy.core.eventbus.EventBus_GroovyExtension

-     public class EventBus_GroovyExtension
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventBus_GroovyExtension()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EventBus` | `publish(EventBus j_receiver, String address, Object message)`
    `static EventBus` | `publish(EventBus j_receiver, String address, Object message, Map<String,Object> options)`
    `static <T> MessageProducer<Object>` | `publisher(EventBus j_receiver, String address, Map<String,Object> options)`
    `static EventBus` | `send(EventBus j_receiver, String address, Object message)`
    `static <T> EventBus` | `send(EventBus j_receiver, String address, Object message, Handler<AsyncResult<Message<Object>>> replyHandler)`
    `static EventBus` | `send(EventBus j_receiver, String address, Object message, Map<String,Object> options)`
    `static <T> EventBus` | `send(EventBus j_receiver, String address, Object message, Map<String,Object> options, Handler<AsyncResult<Message<Object>>> replyHandler)`
    `static <T> MessageProducer<Object>` | `sender(EventBus j_receiver, String address, Map<String,Object> options)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EventBus_GroovyExtension

          public EventBus_GroovyExtension()

  - ### Method Detail

    - #### send

          public static EventBus send(EventBus j_receiver,
                                      String address,
                                      Object message)

    - #### send

          public static <T> EventBus send(EventBus j_receiver,
                                          String address,
                                          Object message,
                                          Handler<AsyncResult<Message<Object>>> replyHandler)

    - #### send

          public static EventBus send(EventBus j_receiver,
                                      String address,
                                      Object message,
                                      Map<String,Object> options)

    - #### send

          public static <T> EventBus send(EventBus j_receiver,
                                          String address,
                                          Object message,
                                          Map<String,Object> options,
                                          Handler<AsyncResult<Message<Object>>> replyHandler)

    - #### publish

          public static EventBus publish(EventBus j_receiver,
                                         String address,
                                         Object message)

    - #### publish

          public static EventBus publish(EventBus j_receiver,
                                         String address,
                                         Object message,
                                         Map<String,Object> options)

    - #### sender

          public static <T> MessageProducer<Object> sender(EventBus j_receiver,
                                                           String address,
                                                           Map<String,Object> options)

    - #### publisher

          public static <T> MessageProducer<Object> publisher(EventBus j_receiver,
                                                              String address,
                                                              Map<String,Object> options)

Copyright © 2017. All rights reserved.